Повреждение памяти в xine-lib

Дата публикации:
05.02.2008
Дата изменения:
07.04.2008
Всего просмотров:
1264
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-0486
CVE-2008-1161
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
xine-lib 1.x
Уязвимые версии: xine-lib 1.1.10, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "open_flac_file()" в файле src/demuxers/demux_flac.c. Удаленный пользователь может с помощью специально сформированного FLAC файла вызвать повреждение памяти и выполнить произвольный код на целевой системе.

URL производителя: xinehq.de

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


07.04.2008
Изменена секция "Решение".

или введите имя

CAPTCHA